## Apache Zeta Components Manual :: Docs For Class ezcFeedLinkElement

### Feed::ezcFeedLinkElement

### Class ezcFeedLinkElement

Class defining a link element.

Source for this file: /Feed/src/structs/link.php

    ezcFeedElement
       |
       --ezcFeedLinkElement

Version: | //autogentag//

### Properties

string | read/write | `$href` The URL value of the link element.
string | read/write | `$hreflang` The language of the resource pointed by href.
int | read/write | `$length` The length in bytes for the resource pointed by href.
string | read/write | `$rel` The URL relation (eg. 'alternate', 'enclosure', etc).
string | read/write | `$title` The title for the URL.
string | read/write | `$type` The type of the resource pointed by href (eg. 'audio/x-mp3').

### Member Variables

public string | `$href` The URL value.
public string | `$hreflang` The language for the resource pointed by href.
public int | `$length` The length in bytes of the resource pointed by href.
public string | `$rel` The rel for the link.
public string | `$title` The title for the link.
public string | `$type` The type of the resource pointed by href.

### Inherited Member Variables

From ezcFeedElement
protected | `ezcFeedElement::$properties`

### Method Summary

public string | `__toString( )` Returns the href attribute.

### Methods

#### __toString

string __toString( )

Returns the href attribute.

Documentation generated by phpDocumentor 1.4.3